## visad.data.hdfeos
Class Hdfeos

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.hdfeos.Hdfeos

All Implemented Interfaces:
  FormFileInformer

Direct Known Subclasses:
  HdfeosForm

public abstract class Hdfeos
extends Form
implements FormFileInformer

Field Summary

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`Hdfeos(String name)`

Method Summary
`String[]` `getDefaultSuffixes()` Get default suffixes for files/URLs handeled by this form.
`boolean` `isThisType(byte[] block)` Check to see if the block contains the magic number for this form.
`boolean` `isThisType(String name)` Check to see if the file name might be right for this form.
`abstract DataImpl` `open(String file_path)` Open an existing data object.

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`add, getForms, getName, open, save`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hdfeos

    public Hdfeos(String name)

Method Detail

### isThisType

    public boolean isThisType(String name)

  Description copied from interface: `FormFileInformer`
  Check to see if the file name might be right for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `name` - name of the file
  Returns:
    true if the name is right for this type of form

### isThisType

    public boolean isThisType(byte[] block)

  Description copied from interface: `FormFileInformer`
  Check to see if the block contains the magic number for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `block` - block of bytes from file
  Returns:
    true if the magic number is right

### getDefaultSuffixes

    public String[] getDefaultSuffixes()

  Description copied from interface: `FormFileInformer`
  Get default suffixes for files/URLs handeled by this form.

  Specified by:
    `getDefaultSuffixes` in interface `FormFileInformer`
  Returns:
    array of suffixes

### open

    public abstract DataImpl open(String file_path)
                           throws BadFormException,
                                  IOException,
                                  VisADException

  Description copied from class: `FormNode`
  Open an existing data object.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`